Subject: Re: bug#20441: 24.5; Auto revert mode does not work

From: Kaushal <[email-masked]>
Date: Fri, 01 May 2015 14:11:22 +0000

It got fixed but I can't explain why this fixed it.

I usually work on a headless machine, and am always working on a VNC server.
I randomly just killed the existing server and started a new one on the
same machine (nothing rebuilt since that last email) and now gfilenotify
started working again!

On Wed, Apr 29, 2015 at 8:39 PM Kaushal <[email-masked]> wrote:

> I just rebuilt emacs-24.4 tag from git while glib 2.40.00 is installed.
> But the same results; gfilenotify doesn't work this time. The last time it
> worked, it was the same RHEL 5.10, glib 2.40.00 and emacs 24.4. Here is the
> config.h (renamed) created for the 24.4 build:
> https://dl.dropboxusercontent.com/u/10985/config-emacs-24.4.h
>
> Is there anything else that gfilenotify depends on? Can I test something
> from the terminal to verify glib installation that would make gfilenotify
> work?
>
> Thanks!
>
> On Wed, Apr 29, 2015 at 8:08 PM Kaushal <[email-masked]> wrote:
>
>> Thanks. glib looks like the culprit.
>>
>> When filenotify used to work, I had glib 2.40.00 installed on RHEL 5.10.
>>
>> Then I upgraded to glib 2.44.00 last week (also rebuilt emacs after that)
>> in efforts to fix a frame issue I am still facing (
>> http://emacs.stackexchange.com/q/10745/115 ). The upgrade didn't fix
>> that issue and it seemed that it didn't break anything so I stayed at that
>> version.
>>
>> But looks that that broke the gfilenotify functionality.
>>
>> Now, I did make uninstall on glib 2.44.00 and reinstalled glib 2.40.00
>> and rebuilt latest emacs from master. But that did not fix the gfilenotify
>> issue. I don't know what else I can look into.
>>
>> Here is the requested src/config.h after reverting back to glib 2.40.00
>> and rebuilding emacs from master:
>> https://dl.dropboxusercontent.com/u/10985/config.h
>>
>> Thanks for the help!
>>
>> On Wed, Apr 29, 2015 at 5:43 PM Michael Albinus <[email-masked]>
>> wrote:
>>
>>> Kaushal <[email-masked]> writes:
>>>
>>> > When I eval
>>> >
>>> > (file-notify-add-watch
>>> > "/tmp/foo" '(change attribute-change) 'my-notify-callback)
>>> >
>>> > I see something like
>>> >
>>> > 38390812 (#o222346034, #x249cc1c)
>>> >
>>> > in the *Messages* buffer and even the `file-notify-descriptors` hash
>>> > is updated.
>>> >
>>> > But the callback fn is never executed.
>>>
>>> Which Linux distribution are you using? Which glib version?
>>>
>>> What are the configure options of your Emacs build? Pls show
>>> src/config.h.
>>>
>>> Best regards, Michael.
>>>
>>